ifNotExist, %1%
  ExitApp

IniRead, Viewer, %A_ScriptDir%\imagesequencehandler.ini, Utils, Viewer
IniRead, Video,  %A_ScriptDir%\imagesequencehandler.ini, Utils, Video

ifNotExist, %Viewer%
{
  MsgBox, Viewer: %Viewer%`nnicht gefunden.
  ExitApp
}

ifNotExist, %Video%
{
  MsgBox, Video: %Video%`nnicht gefunden.
  ExitApp
}

CountMin = 9999999999
CountMax = 0

Splitpath, 1, , DirPath, Extension, Filename
FilenameBase := RegExReplace(Filename, "\d*$")

if (FilenameBase == Filename)
  Gosub, Startviewer

counter = 0
Loop, %DirPath%\%FilenameBase%*.%Extension%
{
  Splitpath, A_LoopFileName, , , , Filename
  Number := RegExReplace(Filename, ".*?(\d*)$", "$1")
  if (Number < CountMin)
    CountMin := Number
  if (Number > CountMax)
    CountMax := Number
}

if (CountMin == CountMax)
  Gosub, StartViewer

Gui, Add, Button, W100 H50 gStartViewer Default, &1 Bildbetrachter
Gui, Add, Button, W100 H50 gStartVideoPure, &2 Video
Gui, Add, Button, W100 H50 gStartVideo169, &3 Video PAL 16:9
Gui, Add, Button, W100 H50 gStartVideo43, &4 Video PAL 4:3
Gui, -Caption +Border
Gui, Show,, Choose application
return



StartVideoPure:
ar = -1
Gosub, StartVideo
return

StartVideo169:
ar = 169
Gosub, StartVideo
return

StartVideo43:
ar = 43
Gosub, StartVideo
return

StartVideo:
Gui, Destroy
NumDigits := StrLen(CountMax)
ifExist, %A_ScriptDir%\_show.avs
  FileDelete, %A_ScriptDir%\_show.avs

FileAppend, ImageReader("%DirPath%\%FilenameBase%`%0%NumDigits%d.%Extension%"`, %CountMin%`, %CountMax%`, 25), %A_ScriptDir%\_show.avs
if (ar = 43)
  FileAppend, BilinearResize(768`, 576), %A_ScriptDir%\_show.avs
if (ar = 169)
  FileAppend, BilinearResize(768`, 432), %A_ScriptDir%\_show.avs

Runwait, %Video% %A_ScriptDir%\_show.avs
ifExist, %A_ScriptDir%\_show.avs
  FileDelete, %A_ScriptDir%\_show.avs
ExitApp

StartViewer:
Gui, Destroy
Run, %Viewer% %1%
ExitApp
return

GuiClose:
GuiEscape:
ExitApp
return
